# $Revision: 1.28 $, $Date: 2011/10/25 18:16:57 $
Summary:	OpenVZ containers control utility
Summary(pl.UTF-8):	Narzędzie do zarządzania środowiskiem wirtualnym OpenVZ
Name:		vzctl
Version:	3.0.29.3
Release:	2
License:	GPL
Group:		Base/Kernel
Source0:	http://download.openvz.org/utils/vzctl/%{version}/src/%{name}-%{version}.tar.bz2
# Source0-md5:	e265b60c589a3d3b665608598b43e930
Source1:	pld.conf
Source2:	pld-add_ip.sh
Source3:	pld-del_ip.sh
Source4:	pld-set_hostname.sh
Source5:	vz-pld.in
Source6:	vzeventd-pld.in
Patch0:		%{name}-pld.patch
URL:		http://openvz.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
Requires:	%{name}-lib = %{version}-%{release}
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
# these reqs are for vz helper scripts
Requires:	bash
Requires:	ed
Requires:	fileutils
Requires:	gawk
Requires:	grep
Requires:	sed
Requires:	tar
Requires:	vzquota >= 2.7.0-4
# requires for vzmigrate purposes
Suggests:	gawk
Suggests:	openssh
Suggests:	rsync
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define _configdir	%{_sysconfdir}/vz
%define _distconfdir	%{_configdir}/dists
%define _distscriptdir	%{_distconfdir}/scripts

%description
This utility allows system administator to control OpenVZ containers,
i.e. create, start, shutdown, set various options and limits etc.

%description -l pl.UTF-8
Narzędzia vztcl pozwalają kontrolować środowisko wirtualne (kontener)
OpenVZ, jak na przykład: utworzenie, zatrzymanie, wyłączenie kontenera
oraz umożliwia ustawienie opcji i limitów dotyczących kontenera.

%package lib
Summary:	OpenVZ containers control API library
Group:		Libraries

%description lib
OpenVZ containers control API library.

%package -n bash-completion-%{name}
Summary:	bash-completion for vzctl
Summary(pl.UTF-8):	bashowe uzupełnianie nazw dla vzctl
Group:		Applications/Shells
Requires:	bash-completion

%description -n bash-completion-%{name}
This package provides bash-completion for vzctl.

%description -n bash-completion-%{name} -l pl.UTF-8
Pakiet ten dostarcza bashowe uzupełnianie nazw dla vzctl.

%prep
%setup -q
%patch0 -p1
cp -p %{SOURCE1} etc/dists
install -p %{SOURCE2} %{SOURCE3} %{SOURCE4} etc/dists/scripts
install -p %{SOURCE5} %{SOURCE6} etc/init.d

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-bashcomp \
	--enable-logrotate \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{cron.d,rc.d/init.d,sysconfig/interfaces}

%{__make} install install-pld \
	vpsconfdir=/etc/sysconfig/vz-scripts \
	DESTDIR=$RPM_BUILD_ROOT

%{__mv} $RPM_BUILD_ROOT/etc/init.d/vz* $RPM_BUILD_ROOT/etc/rc.d/init.d
%{__mv} $RPM_BUILD_ROOT/etc/sysconfig/{network-scripts,interfaces}/ifcfg-venet0

ln -s ../sysconfig/vz-scripts $RPM_BUILD_ROOT%{_configdir}/conf
ln -s ../vz/vz.conf $RPM_BUILD_ROOT/etc/sysconfig/vz

:> $RPM_BUILD_ROOT/etc/cron.d/vz

# this could go to vzctl-lib-devel, but since we don't have it...
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libvzctl.{la,so}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/bin/rm -rf /dev/vzctl
/bin/mknod -m 600 /dev/vzctl c 126 0
if [ -f %{_configdir}/vz.conf ]; then
	if ! grep -q "IPTABLES=" %{_configdir}/vz.conf 2>/dev/null; then
		echo 'IPTABLES="ipt_REJECT ipt_tos ipt_limit ipt_multiport iptable_filter iptable_mangle ipt_TCPMSS ipt_tcpmss ipt_ttl ipt_length"' >> %{_configdir}/vz.conf
	fi
fi
/sbin/chkconfig --add vz
/sbin/chkconfig --add vzeventd
%service vzeventd restart "vzeventd service"

%preun
if [ "$1" = 0 ]; then
	/sbin/chkconfig --del vz
	/sbin/chkconfig --del vzeventd
fi

%post	lib -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog
%attr(640,root,root) %ghost /etc/cron.d/vz
%attr(754,root,root) /etc/rc.d/init.d/vz*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/%{name}
%dir /etc/sysconfig/network-scripts
%attr(755,root,root) /etc/sysconfig/network-scripts/if*-venet
%attr(640,root,root) %config(noreplace,missingok) %verify(not md5 mtime size) /etc/sysconfig/interfaces/ifcfg-venet0
%dir /etc/sysconfig/vz-scripts
%config(missingok) /etc/sysconfig/vz-scripts/ve-*.conf-sample
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/vz-scripts/0.conf
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/vz
%config(noreplace) /etc/udev/rules.d/*-%{name}.rules
%dir %{_configdir}
%dir %{_distconfdir}
%config(noreplace) %verify(not md5 mtime size) %{_distconfdir}/default
%config(noreplace) %{_distconfdir}/distribution.conf-template
%config(noreplace) %{_distconfdir}/*.conf
%dir %{_distscriptdir}
%attr(755,root,root) %config(noreplace) %{_distscriptdir}/*.sh
%config(noreplace) %{_distscriptdir}/functions
%{_configdir}/names
%config(noreplace) %verify(not md5 mtime size) %{_configdir}/*conf
%attr(755,root,root) /sbin/ifup-local
%attr(755,root,root) %{_sbindir}/*send
%attr(755,root,root) %{_sbindir}/vz*
%dir /vz
/vz/[dlt]*
%attr(700,root,root) %dir /vz/[pr]*
/var/lib/vzctl
%{_mandir}/man5/*.5*
%{_mandir}/man8/*.8*

%files lib
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libvzctl-*.so
%attr(755,root,root) %{_libdir}/vzctl

%files -n bash-completion-%{name}
%defattr(644,root,root,755)
/etc/bash_completion.d/%{name}.sh

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: vzctl.spec,v $
Revision 1.28  2011/10/25 18:16:57  glen
- release 2

Revision 1.27  2011/10/24 21:59:08  glen
- cp -p

Revision 1.26  2011/10/24 18:28:23  glen
- /etc/sysconfig/network-scripts no longer owned by rc-scripts

Revision 1.25  2011/10/24 18:25:53  glen
- add bash-completion subpackage

Revision 1.24  2011/09/30 18:26:24  brushek
- up to 3.0.29.3

Revision 1.23  2011/09/26 15:06:06  brushek
- up to 3.0.29.2

Revision 1.22  2011/06/22 08:39:27  brushek
- up to 3.0.28.3

Revision 1.21  2011/06/14 21:10:29  brushek
- up to 3.0.28.2

Revision 1.20  2011/06/08 09:23:16  brushek
- up to 3.0.28

Revision 1.19  2011/05/29 11:37:28  brushek
- up to 3.0.27

Revision 1.18  2011/05/14 14:59:57  brushek
- up to 3.0.26.3

Revision 1.17  2011/03/22 23:22:25  brushek
- upgraded to 3.0.26.2

Revision 1.16  2011/03/02 00:06:17  brushek
- upgraded to 3.0.26

Revision 1.15  2011/02/07 15:06:17  brushek
- upgraded to 3.0.25.2

Revision 1.14  2011/01/28 01:32:36  sparky
- and autoconf !

Revision 1.13  2011/01/28 01:30:12  gotar
- libtoolize?

Revision 1.12  2011/01/28 01:24:20  gotar
- make -j1

Revision 1.11  2011/01/28 01:11:58  gotar
- packaged /var/lib/vzctl directory

Revision 1.10  2011/01/28 01:08:49  gotar
- fixed UTF in commit log

Revision 1.9  2011/01/28 01:06:54  gotar
- added PLD resources from Łukasz Chrustek <lukasz@chrustek.net>

Revision 1.8  2011/01/28 00:19:35  gotar
- more %config and %verify flags

Revision 1.7  2011/01/28 00:18:48  gotar
- get rid of all the _uselessdir, they are hardcoded in paths.am anyway

Revision 1.6  2011/01/27 23:20:42  gotar
- cleaning up more RH-mess

Revision 1.5  2011/01/27 22:58:17  gotar
- more cleanup

Revision 1.4  2011/01/27 22:42:06  gotar
- cleanup

Revision 1.3  2008/05/28 12:51:59  glen
- partial pldize

Revision 1.2  2008-05-28 11:53:52  paszczus
- little cleanup

Revision 1.1  2008-05-28 11:40:19  paszczus
- initial, raw from redhat spec
